#include<stdio.h>
main (){
	int n,i,l,niz[1000],ind=-1;
	scanf("%d %d",&n,&l);
	for(i=1;i<=n;i++){
		scanf("%d",&niz[i]);
	}
	for(i=1;i<=n;i++){
		if(niz[i]<=l){
			ind=i;
			break;
		}
	}
	printf("%d",ind);
}